Anonymous Login
2019-09-15 07:33 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000460Pending RequestsTaskspublic2014-06-11 18:34
Reporteropto 
Assigned To 
PriorityhighSeverityminorReproducibilityhave not tried
StatusnewResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000460: clean up tasksperuser_sub.php
Description1800 tasks create 9000 queries

a project with 5 tasks creates 123 queries, if user filter is set to user A and project filter is set to this specific project.

In that specific case, worker A was not part of the project and no task displayed.
TagsNo tags attached.
Attached Files

-Relationships
parent of 0000395closedcaseydk v2.3 Release (Closed) Feature request: display user specific task priority in my to do tasks table 
parent of 0000640closedcaseydk v2.3 Release (Closed) Enhance Tasksperuser report with % assign displayed 
parent of 0000950closedcaseydk v3.0 Release Unable to assign user through "Edit task" form 
+Relationships

-Notes

~0000946

opto (manager)

Maybe rename the priority column from P to UP or similiar as it has a different meaning here than elsewhere

~0003441

caseydk (administrator)

I reworked canAccess which massively reduced the number of queries involved.

If you turn on debugging, you can tell there is massive duplication in the queries. If you turn on query cache in mysql, the hit rate is well over 90% which speeds things up too.

I don't consider this one fixed but we're on the right path.
+Notes

-Issue History
Date Modified Username Field Change
2010-06-03 09:07 opto New Issue
2010-06-03 13:09 caseydk Project v2.0 Release (Closed) => Pending Requests
2010-06-04 11:18 opto Note Added: 0000946
2010-08-12 23:11 caseydk Project Pending Requests => v2.2 Release (Closed)
2010-09-14 14:05 caseydk Priority normal => high
2010-12-04 00:06 caseydk Relationship added parent of 0000395
2010-12-04 00:06 caseydk Relationship added parent of 0000640
2010-12-15 21:54 caseydk Project v2.2 Release (Closed) => v2.3 Release (Closed)
2011-03-19 23:03 caseydk Project v2.3 Release (Closed) => Pending Requests
2011-11-24 23:04 caseydk Relationship added parent of 0000950
2014-06-11 18:17 caseydk Note Added: 0003441
2014-06-11 18:34 caseydk Category General => Tasks
2014-06-11 18:34 caseydk Product Version v2.0 =>
+Issue History